{% extends('/layouts/layout_main.twig') %}
{% block content %}

    <h1>Ma liste de notifications</h1>

    <p class="text-right">
        <a href="{{ url('notification', { 'id_notification' : 'nouvelle','username' : app.session.get('U').username }) }}" class="btn btn-success"><span class="glyphicon glyphicon-plus"></span> Créer une notification</a>
       
        {% if app.session.get('U').mail != null %}        
        <a class='btn btn-default' href='{{ url('notification-test-envoi-mail', { 'username' : app.session.get('U').username }) }}'>
            <span class="glyphicon glyphicon-envelope"></span> Tester l'envoi d'une notification par mail</a>
            
            {% endif %}
    </p>


    <table class="table table-responsive">
        <tr>
            <th>Station</th>
            <th>Seuil</th>
            <th>Montant/descendant</th>
            <th>Fonction</th>
            <th>Type</th>
            <th>Date de création</th>
            <th></th>
            <th></th>
        </tr>
        {% for n in notifications %}
            {% if n.active == 1 %}
            <tr>
                <td>{{ n.point_suivi }}</td>
                <td>{{ n.seuil }}</td>
                <td>{{ n.montant_descendant }}</td>
                <td>{{ attribute(app.FONCTIONS_NOTIFICATIONS,n.fonction~' '~n.fonction_parametres)  }}</td>
                <td>{{ n.type_notification }}</td>
                <td>{{ n.date_creation|date('d/m/Y') }}</td>
                <td><a href="{{ url('notification', { 'id_notification' : n.id_notification, 'username' : app.session.get('U').username }) }}" class="btn btn-primary"><span class="glyphicon glyphicon-pencil"></span> Modifier</a></td>
                <td><a onclick="if (!confirm('Confirmez-vous la suppression ?'))
                            return false;" href="{{ url('notification-suppression', { 'id_notification' : n.id_notification, 'username' : app.session.get('U').username }) }}" class="btn btn-danger"><span class="glyphicon glyphicon-remove"></span> Supprimer</a></td>
            </tr>
            <tr>
                <td></td>
                <td colspan='6'>                    
                    {{ render(url('notification-envois', { 'username' : n.username, 'id_notification' : n.id_notification })) }}
                </td>
            </tr>
            {% endif %}
        {% endfor %}
    </table>

</div>
{% endblock %}